Purchase Order - Get Processing
curl --request GET \
--url https://api.skulabs.com/purchase_order/get_processing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.skulabs.com/purchase_order/get_processing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.skulabs.com/purchase_order/get_processing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"purchase_orders": [
{
"_id": "507f1f77bcf86cd799439011",
"number": "<string>",
"account_id": "<string>",
"distributor_id": "<string>",
"log": [
{
"user_id": "507f1f77bcf86cd799439011",
"action": "<string>",
"details": {},
"time": "2025-01-15T12:00:00.000Z"
}
],
"items": [
{
"item_id": "<string>",
"kit_id": "<string>",
"sku": "<string>",
"name": "<string>",
"quantity": 123,
"received": 123,
"cost": 123,
"rate": 123,
"serial_numbers": [
"<string>"
],
"description": "<string>",
"unit": "<string>"
}
],
"custom_items": [
{}
],
"custom_adjustments": [
{
"name": "<string>",
"amount": 123
}
],
"tracking": [
{}
],
"subtotal": 123,
"total": 123,
"tax": 123,
"tax_per": 123,
"shipping": 123,
"discount": 123,
"due_date": "2025-01-15",
"arrival_date": "2025-01-15",
"closed_date": "2025-01-15",
"metadata": {},
"discount_per": 123,
"tags": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"store_id": "507f1f77bcf86cd799439011",
"warehouse_id": "<string>",
"memo": "<string>",
"currency": "<string>",
"terms": "<string>",
"method": "<string>",
"order_number": "<string>",
"dropship_address": {},
"dropshipped": true,
"bol_pro_numbers": [
"<string>"
]
}
]
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Purchase Order
Purchase Order - Get Processing
Retrieve purchase orders currently being processed (not yet closed).
GET
/
purchase_order
/
get_processing
Purchase Order - Get Processing
⌘I